Name:		maxr
Version:	0.2.6
Release:	1%{?dist}
Summary:	A classic turn-based strategy game

Group:		Amusements/Games
License:	GPLv2+ and GFDL
URL:		http://www.maxr.org
Source0:	http://www.maxr.org/downloads/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	hicolor-icon-theme
BuildRequires:	SDL-devel SDL_mixer-devel SDL_net-devel
BuildRequires:	desktop-file-utils

%description
M.A.X.R. (Mechanized Assault and eXploration Reloaded) is a fanmade strategy 
game by the community of maxr.org. MAXR is OpenSource and a remake of
the old M.A.X.by Interplay from 1996 featuring network games based on TCP/IP 
(e.g. over the internet). The game can be played in a turn-based mode (with or 
without time limit), or simultaneous mode (all the players take their turns at 
the same time), and features combat in air, land, and sea. Three resources are 
present on the maps - Raw Materials, which are needed to manufacture units, 
structures and ammunition, Fuel, which power generators need to function, and 
Gold, which is used to purchase upgrades. This game is a mix of realtime and 
turnbased strategy with battle chess character.


%prep
%setup -q
# Needed because of this rpmlint warning "W: wrong-file-end-of-line-encoding"
sed -i 's/\r//' CHANGELOG
# Convert everything to UTF-8
# COPYING.README
iconv -f iso-8859-1 -t utf-8 -o COPYING.README.utf8 COPYING.README
touch -c -r COPYING.README COPYING.README.utf8
mv -f COPYING.README.utf8 COPYING.README
# ABOUT
iconv -f iso-8859-1 -t utf-8 -o ABOUT.utf8 ABOUT
touch -c -r ABOUT ABOUT.utf8
mv -f ABOUT.utf8 ABOUT


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' install

desktop-file-install \
	--dir=$RPM_BUILD_ROOT%{_datadir}/applications \
	%{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps

install -p -m 0644 %{SOURCE2} \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc ABOUT CHANGELOG COPYING COPYING.README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Fri Aug 21 2009 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 0.2.6-1
- New Upstream Release

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 03 2009 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 0.2.5-1
- New Upstream Release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 0.2.4-2
- added: license FDL
- removed: automake
- removed: BR automake, autoconf and libtool

* Tue Feb 17 2009 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 0.2.4-1
- Initial SPEC file
